XZGREP(1)

NOME
xzgrep - Cerca pattern in file potenzialmente compressi

SINOSSI
xzgrep [OPZIONE...] [LISTA_PATTERN] [FILE...]
xzegrep ...
xzfgrep ...
lzgrep ... (DEPRECATO)
lzegrep ... (DEPRECATO)
lzfgrep ... (DEPRECATO)

DESCRIZIONE
xzgrep invoca grep(1) sui contenuti non compressi dei file. I formati dei FILE sono dedotti dai suffissi dei nomi dei file. Sarà decompresso qualsiasi file con un suffisso supportato da xz(1), gzip(1), bzip2(1), lzop(1), zstd(1), o lz4(1); tutti gli altri file saranno considerati non compressi.

Se non sono specificati FILE, o se FILE è -, viene letto lo standard input. Quando si legge da standard input vengono decompressi solamente i file supportati da xz(1). Gli altri file sono considerati già non compressi.

Sono supportate la maggior parte delle OPZIONI di grep(1). Tuttavia, le opzioni seguenti non sono supportate:

    -r, --recursive

    -R, --dereference-recursive

    -d, --directories=AZIONE

    -Z, --null

    -z, --null-data

    --include=GLOB

    --exclude=GLOB

    --exclude-from=FILE

    --exclude-dir=GLOB

xzegrep è un alias per xzgrep -E. xzfgrep è un alias per xzgrep -F.

I comandi lzgrep, lzegrep, e lzfgrep sono forniti per retrocompatibilità con le LZMA Utils. Sono deprecati e saranno rimosso in una versione futura.

CODICE DI USCITA

0   Almeno una corrispondenza è stata trovata in almeno uno dei file input. Nessun errore è avvenuto.

1   Non sono state trovate corrispondenze in nessuno dei file di input. Non si sono verificati errori.

>1  Sono avvenuti uno o più errori. Non è noto se sono state trovate delle corrispondenze.

AMBIENTE

GREP
    Se GREP è impostato a un valore non vuoto, verrà usato al posto di grep, grep -E, o grep -F.

VEDERE ANCHE
grep(1), xz(1), gzip(1), bzip2(1), lzop(1), zstd(1), lz4(1), zgrep(1)